<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {

        Schema::create('product_store_prices', function (Blueprint $table) {
            $table->mediumIncrements('id');

            $table->unsignedMediumInteger('product_id')->index();
            $table->unsignedSmallInteger('store_id')->index();

            $table->decimal('price', 9, 2)->unsigned()->default(0);
            $table->char('currency', 3)->charset('ascii')->collation('ascii_general_ci');

            $table->boolean('is_discounted')->index();
            $table->decimal('discount_price', 9, 2)->unsigned()->nullable();
            $table->date('discount_start')->nullable();
            $table->date('discount_end')->nullable();

            // Auditoría
            $table->timestamps();

            // Relaciones
            $table->foreign('product_id')->references('id')->on('products')->onUpdate('restrict')->onDelete('cascade');
            $table->foreign('store_id')->references('id')->on('stores')->onUpdate('restrict')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_store_prices');
        Schema::dropIfExists('product_property');
    }
};
