<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('stores', function (Blueprint $table) {
            // Series de documentos
            $table->string('serie_ordenes_compra', 50)->nullable()->after('domicilio_fiscal');
            $table->string('serie_compras', 50)->nullable()->after('serie_ordenes_compra');
            $table->string('serie_gastos', 50)->nullable()->after('serie_compras');
            $table->string('serie_cotizaciones', 50)->nullable()->after('serie_gastos');
            $table->string('serie_ventas', 50)->nullable()->after('serie_cotizaciones');
            $table->string('serie_remisiones', 50)->nullable()->after('serie_ventas');
            $table->string('serie_notas_credito', 50)->nullable()->after('serie_remisiones');
            $table->string('serie_pagos', 50)->nullable()->after('serie_notas_credito');
            $table->string('serie_traspasos', 50)->nullable()->after('serie_pagos');
            $table->string('serie_ajustes_inventario', 50)->nullable()->after('serie_traspasos');

            // Configuración del ticket
            $table->unsignedTinyInteger('ticket_digital')->nullable()->after('serie_ajustes_inventario');
            $table->boolean('ticket_digital_show_customer')->nullable()->after('ticket_digital');
            $table->boolean('ticket_digital_show_email')->nullable()->after('ticket_digital_show_customer');
            $table->boolean('ticket_digital_show_address')->nullable()->after('ticket_digital_show_email');
            $table->boolean('ticket_digital_show_unit_price')->nullable()->after('ticket_digital_show_address');
            $table->boolean('ticket_digital_show_taxes')->nullable()->after('ticket_digital_show_unit_price');
            $table->boolean('ticket_digital_show_import')->nullable()->after('ticket_digital_show_taxes');
            $table->unsignedTinyInteger('ticket_printed')->nullable()->after('ticket_digital_show_import');
            $table->boolean('ticket_show_customer')->nullable()->after('ticket_printed');
            $table->boolean('ticket_show_email')->nullable()->after('ticket_show_customer');
            $table->boolean('ticket_show_address')->nullable()->after('ticket_show_email');
            $table->boolean('ticket_show_unit_price')->nullable()->after('ticket_show_address');
            $table->boolean('ticket_show_taxes')->nullable()->after('ticket_show_unit_price');
            $table->boolean('ticket_show_import')->nullable()->after('ticket_show_taxes');
            $table->string('ticket_image_path', 255)->nullable()->after('ticket_show_import');
            $table->mediumText('ticket_image_base64', 255)->nullable()->after('ticket_image_path');
            $table->string('ticket_header', 255)->nullable()->after('ticket_image_base64');
            $table->string('ticket_footer', 255)->nullable()->after('ticket_header');
            $table->string('ticket_footer_2', 255)->nullable()->after('ticket_footer');
            $table->boolean('ticket_enable_cash_register')->nullable()->after('ticket_footer_2');
            $table->unsignedTinyInteger('ticket_cash_register')->nullable()->after('ticket_enable_cash_register');
            $table->boolean('ticket_enable_warehouse')->nullable()->after('ticket_cash_register');
            $table->unsignedTinyInteger('ticket_warehouse')->nullable()->after('ticket_enable_warehouse');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {


    }
};
